<?php

/**
 * @file
 * Default rules configuration for deploy module.
 */

/**
 * Implements hook_default_rules_configuration().
 */
function deploy_default_rules_configuration() {
  $items = [];

  $items['rules_remove_entity_from_deployment_plan'] = entity_import('rules_config', '{ "rules_remove_entity_from_deployment_plan" : {
      "LABEL" : "Remove entity from deployment plan",
      "PLUGIN" : "action set",
      "OWNER" : "rules",
      "TAGS" : [ "deploy" ],
      "REQUIRES" : [ "deploy" ],
      "USES VARIABLES" : { "dme" : { "label" : "Plan entry", "type" : "deploy_manager_entities" } },
      "ACTION SET" : [ { "deploy_manager_entity_remove" : { "dme" : [ "dme" ] } } ]
    }
  }');

  $items['rules_use_latest_revision_of_entity'] = entity_import('rules_config', '{ "rules_use_latest_revision_of_entity" : {
      "LABEL" : "Use Latest Revision of Entity",
      "PLUGIN" : "action set",
      "OWNER" : "rules",
      "TAGS" : [ "deploy" ],
      "REQUIRES" : [ "deploy" ],
      "USES VARIABLES" : { "dme" : { "label" : "Plan entry", "type" : "deploy_manager_entities" } },
      "ACTION SET" : [ { "deploy_manager_entity_use_latest_revision" : { "dme" : [ "dme" ] } } ]
    }
  }');

  $items['rules_move_entity_to_another_managed_plan'] = entity_import('rules_config', '{ "rules_move_entity_to_another_managed_plan" : {
      "LABEL" : "Move entity to another managed deployment plan",
      "PLUGIN" : "action set",
      "OWNER" : "rules",
      "TAGS" : [ "deploy" ],
      "REQUIRES" : [ "deploy" ],
      "ACCESS_EXPOSED" : "1",
      "USES VARIABLES" : {
        "dme" : { "label" : "Plan entity", "type" : "deploy_manager_entities" },
        "plan_name" : { "label" : "Plan name", "type" : "deploy_plan" }
      },
      "ACTION SET" : [
        { "deploy_rules_action_move_to_other_managed_plan" : { "plan_name" : [ "plan-name" ], "dme" : [ "dme" ] } }
      ]
    }
  }');

  $items['rules_add_entity_to_any_managed_plan'] = entity_import('rules_config', '{ "rules_add_entity_to_any_managed_plan" : {
      "LABEL" : "Add entity to any managed deployment plan",
      "PLUGIN" : "action set",
      "OWNER" : "rules",
      "TAGS" : [ "deploy" ],
      "REQUIRES" : [ "deploy" ],
      "ACCESS_EXPOSED" : "1",
      "USES VARIABLES" : {
        "entity" : { "label" : "Entity", "type" : "entity" },
        "plan_name" : { "label" : "Plan name", "type" : "deploy_plan" }
      },
      "ACTION SET" : [
        { "deploy_rules_action_add_to_any_managed_plan" : { "plan_name" : [ "plan-name" ], "entity" : [ "entity" ] } }
      ]
    }
  }');

  return $items;
}
